summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2002-02-07 18:52:18 +0000
committerDan Armak <danarmak@gentoo.org>2002-02-07 18:52:18 +0000
commit34273a00e177114e54499e3f77b94f0af46172a8 (patch)
tree3ecd35771ddd14ec4a02531c40fac557f9ac3553
parentinitial ebuild, closed bug #201 (diff)
downloadhistorical-34273a00e177114e54499e3f77b94f0af46172a8.tar.gz
historical-34273a00e177114e54499e3f77b94f0af46172a8.tar.bz2
historical-34273a00e177114e54499e3f77b94f0af46172a8.zip
a typo fix. also added descriptions to all || die invocations.
-rw-r--r--eclass/base.eclass10
-rw-r--r--eclass/functions.eclass14
-rw-r--r--eclass/inherit.eclass13
-rw-r--r--eclass/kde.eclass10
4 files changed, 24 insertions, 23 deletions
diff --git a/eclass/base.eclass b/eclass/base.eclass
index 0550268744b5..6b6a9e33a86a 100644
--- a/eclass/base.eclass
+++ b/eclass/base.eclass
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.10 2002/02/06 20:38:10 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.11 2002/02/07 18:52:18 danarmak Exp $
# The base eclass defines some default functions and variables. Nearly everything
# else inherits from here.
inherit functions
@@ -48,11 +48,11 @@ base_src_compile() {
case $1 in
configure)
debug-print-section configure
- ./configure || die
+ ./configure || die "died running ./configure, $FUNCNAME:configure"
;;
make)
debug-print-section make
- make || die
+ make || die "died running make, $FUNCNAME:make"
;;
all)
debug-print-section all
@@ -75,10 +75,10 @@ base_src_install() {
case $1 in
make)
debug-print-section make
- make DESTDIR=${D} install || die
+ make DESTDIR=${D} install || die "died running make install, $FUNCNAME:make"
;;
all)
- debug-prnit-section all
+ debug-print-section all
base_src_install make
;;
esac
diff --git a/eclass/functions.eclass b/eclass/functions.eclass
index 3cbec888240a..4efb35886af5 100644
--- a/eclass/functions.eclass
+++ b/eclass/functions.eclass
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/functions.eclass,v 1.1 2002/02/06 20:38:10 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/functions.eclass,v 1.2 2002/02/07 18:52:18 danarmak Exp $
# This contains everything except things that modify ebuild variables and functions (e.g. $P, src_compile() etc.)
ECLASS=functions
@@ -57,21 +57,18 @@ set-kdedir() {
debug-print-function $FUNCNAME $*
- # for older make.globals versions which don't include the default KDE?DIR settings
+ # default settings for older make.globals versions which don't include the default KDE?DIR settings
[ -z "$KDE2DIR" ] && export KDE2DIR="/usr/kde/2"
[ -z "$KDE3DIR" ] && export KDE3DIR="/usr/kde/3"
# not defined at all by default
[ -z "$KDE2LIBSDIR" ] && export KDE2LIBSDIR="$KDE2DIR"
[ -z "$KDE3LIBSDIR" ] && export KDE3LIBSDIR="$KDE3DIR"
- local KDEVER
- KDEVER=$1
-
# select 1st element in dot-separated string
IFSBACKUP=$IFS
IFS="."
KDEMAJORVER=""
- for x in $KDEVER; do
+ for x in $1; do
[ -z "$KDEMAJORVER" ] && KDEMAJORVER=$x
done
IFS=$IFSBACKUP
@@ -100,14 +97,11 @@ set-qtdir() {
debug-print-function $FUNCNAME $*
- local QTVER
- QTVER=$1
-
# select 1st element in dot-separated string
IFSBACKUP=$IFS
IFS="."
QTMAJORVER=""
- for x in $QTVER; do
+ for x in $1; do
[ -z "$QTMAJORVER" ] && QTMAJORVER=$x
done
IFS=$IFSBACKUP
diff --git a/eclass/inherit.eclass b/eclass/inherit.eclass
index b2f934501da7..a9fb791ea086 100644
--- a/eclass/inherit.eclass
+++ b/eclass/inherit.eclass
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/inherit.eclass,v 1.12 2002/02/06 20:38:10 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/inherit.eclass,v 1.13 2002/02/07 18:52:18 danarmak Exp $
# This eclass provides the inherit() function. In the future it will be placed in ebuild.sh, but for now drobbins
# doesn't want to make a new portage just for my testing, so every eclass/ebuild will source this file manually and
# then inherit(). This way when the time comes for this to move into ebuild.sh, we can just delete the source lines.
@@ -12,12 +12,19 @@ ECLASSDIR=/usr/portage/eclass
inherit() {
while [ "$1" ]; do
+
+ # any future resolution code goes here
+ local location
location="${ECLASSDIR}/${1}.eclass"
+
# for now, disable by deafult because it creates a lot extra sourcing. (get debug lvels there already!)
#. ${ECLASSDIR}/debug.eclass
#debug-print "inherit: $1 -> $location"
- source "$location" || die
- shift
+
+ source "$location" || die "died sourcing $location in $FUNCNAME"
+
+ shift
+
done
}
diff --git a/eclass/kde.eclass b/eclass/kde.eclass
index adeda69a96ff..ddec2c79195a 100644
--- a/eclass/kde.eclass
+++ b/eclass/kde.eclass
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.38 2002/02/06 20:38:10 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.39 2002/02/07 18:52:18 danarmak Exp $
# The kde eclass is inherited by all kde-* eclasses. Few ebuilds inherit straight from here.
inherit base
ECLASS=kde
@@ -47,12 +47,12 @@ kde_src_compile() {
fi
export PATH="${KDEDIR}/bin:${PATH}"
- ./configure ${myconf} || die
+ ./configure ${myconf} || die "died running ./configure, $FUNCNAME:configure"
;;
make)
export PATH="${KDEDIR}/bin:${PATH}"
debug-print-section make
- make || die
+ make || die "died running make, $FUNCNAME:make"
;;
all)
debug-print-section all
@@ -67,7 +67,7 @@ kde_src_compile() {
kde_src_install() {
- debug-print-function $FUNCNAME $*
+ debug-print-function $FUNCNAME $*
[ -z "$1" ] && kde_src_install all
while [ "$1" ]; do
@@ -75,7 +75,7 @@ kde_src_install() {
case $1 in
make)
debug-print-section make
- make install DESTDIR=${D} destdir=${D} || die
+ make install DESTDIR=${D} destdir=${D} || die "died running make install, $FUNCNAME:make"
;;
dodoc)
debug-print-section dodoc